"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.init = void 0;
const fs_1 = __importDefault(require("fs"));
const add_1 = require("./add");
const install_1 = require("./install");
const regex = /^[ ]+|\t+/m;
function init() {
    var _a;
    const str = fs_1.default.readFileSync('package.json', 'utf-8');
    const pkg = JSON.parse(str);
    pkg.scripts || (pkg.scripts = {});
    pkg.scripts.prepare = 'husky install';
    const indent = (_a = regex.exec(str)) === null || _a === void 0 ? void 0 : _a[0];
    fs_1.default.writeFileSync('package.json', `${JSON.stringify(pkg, null, indent)}\n`);
    install_1.install();
    add_1.add('.husky/pre-commit', 'npm test');
}
exports.init = init;
